# Argument 1 = Reaction file
# Argument 2 = Chemical file
# Argument 3 = Output Dependency Graph File

# Arguments = 
#	1) maxNumIterations
#	2) OutputChemNumber
#	3) ReactionFileName
#	4) SpeciesFileName
#	5) SingletDependencyGraphFileName
#	6) RandNumGen Seed
#	7) maxSimTime

for jobName in "JobA" "JobB" "JobC" "JobD" "JobE" "JobF"
do
rxnFile="Data/"$jobName"/"$jobName"_Post_Reactions_Interm_File.dat"
chemFile="Data/"$jobName"/"$jobName"_Post_Species_Interm_File.dat"
depFile="Data/"$jobName"/"$jobName"_Post_DependencyGraph_File.dat"

./ODM/TOYOTA $rxnFile $chemFile $depFile

maxNumIterations="10000000"
maxSimTime="100000000"
outputChemNumber="0"

for seed in "1" "2" "3" "4" "5" "6" "7" "8" "9" "10"
do
outputTimeFile="Results/"$jobName"/MODM/"$jobName"_Post_TimeTrial_"$seedVal
./ODM/MODM $maxNumIterations $outputChemNumber $rxnFile $chemFile $depFile $seed $maxSimTime $outputTimeFile
done
done
exit 0

